Portal Attribute
To view all attributes for a specific portal:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portalIdstringRequired
Responses
200
Successful response
No content
get/api/v2/portal/{portalId}/attribute
GET /api/v2/portal/{portalId}/attribute HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
No content
To create a new portal attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portalIdstringRequired
Body
attributestringRequired
valuestringOptional
Responses
200
Successful response
No content
post/api/v2/portal/{portalId}/attribute
POST /api/v2/portal/{portalId}/attribute HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35
{
"attribute": "text",
"value": "text"
}200
Successful response
No content
To view details for a specific portal attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portalIdstringRequired
portalAttributeIdstringRequired
Responses
200
Successful response
No content
get/api/v2/portal/{portalId}/attribute/{portalAttributeId}
GET /api/v2/portal/{portalId}/attribute/{portalAttributeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
No content
To delete a specific portal attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portalIdstringRequired
portalAttributeIdstringRequired
Responses
200
Successful response
application/json
PORTAL_ATTRIBUTEintegerOptional
delete/api/v2/portal/{portalId}/attribute/{portalAttributeId}
DELETE /api/v2/portal/{portalId}/attribute/{portalAttributeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"PORTAL_ATTRIBUTE": 1
}To update a specific portal attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portalIdstringRequired
portalAttributeIdstringRequired
Body
valuestringRequired
Responses
200
Successful response
No content
patch/api/v2/portal/{portalId}/attribute/{portalAttributeId}
PATCH /api/v2/portal/{portalId}/attribute/{portalAttributeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"value": "text"
}200
Successful response
No content
Last updated
Was this helpful?